WinNT.LARGE_INTEGER.ByReference (JNA API)

com.sun.jna.platform.win32

## Class WinNT.LARGE_INTEGER.ByReference

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinNT.LARGE_INTEGER
    - - com.sun.jna.platform.win32.WinNT.LARGE_INTEGER.ByReference

- All Implemented Interfaces:
    Structure.ByReference, java.lang.Comparable<WinNT.LARGE_INTEGER>
  Enclosing class:
    WinNT.LARGE_INTEGER

      public static class WinNT.LARGE_INTEGER.ByReference
      extends WinNT.LARGE_INTEGER
      implements Structure.ByReference

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.platform.win32.WinNT.LARGE_INTEGER

      `WinNT.LARGE_INTEGER.ByReference, WinNT.LARGE_INTEGER.LowHigh, WinNT.LARGE_INTEGER.UNION`

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    - ### Fields inherited from class com.sun.jna.platform.win32.WinNT.LARGE_INTEGER

      `u`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ByReference()`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.platform.win32.WinNT.LARGE_INTEGER

      `compare, compare, compareTo, getHigh, getLow, getValue, toString`

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ByReference

          public ByReference()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.